Bug 392931 (CVE-2007-1661) - CVE-2007-1661: pcre < 7.3 non-UTF-8 over-backtracking issue
Summary: CVE-2007-1661: pcre < 7.3 non-UTF-8 over-backtracking issue
Status: CLOSED CURRENTRELEASE
Alias: CVE-2007-1661
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=vendorsec,reported=20070917,pu...
Keywords: Security
Depends On: 378411
Blocks: 307451
TreeView+ depends on / blocked
 
Reported: 2007-11-20 19:54 UTC by Ville Skyttä
Modified: 2008-03-06 16:37 UTC (History)
1 user (show)

Fixed In Version: 7.3-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-06 16:37:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2007-11-20 19:54:49 UTC
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-1661

"Perl-Compatible Regular Expression (PCRE) library before 7.3 backtracks too far
when matching certain input bytes against some regex patterns in non-UTF-8 mode,
which allows context-dependent attackers to obtain sensitive information or
cause a denial of service (crash), as demonstrated by the "\X?\d" and "\P{L}?\d"
patterns."

F7 ships pcre 7.0.

Comment 1 Fedora Update System 2008-02-15 16:34:42 UTC
pcre-7.3-3.fc7 has been submitted as an update for Fedora 7

Comment 2 Fedora Update System 2008-02-19 03:20:24 UTC
pcre-7.3-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pcre'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-1842

Comment 3 Fedora Update System 2008-03-06 16:36:32 UTC
pcre-7.3-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.